Bug 259478 - devel/kiwix-lib: fix build on armv6/armv7
Summary: devel/kiwix-lib: fix build on armv6/armv7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-27 09:09 UTC by Robert Clausecker
Modified: 2021-11-08 11:51 UTC (History)
2 users (show)

See Also:
fuz: maintainer-feedback+


Attachments
devel/kiwix-lib: fix build on armv6/armv7 (874 bytes, patch)
2021-10-27 09:09 UTC, Robert Clausecker
me: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-10-27 09:09:28 UTC
Created attachment 229064 [details]
devel/kiwix-lib: fix build on armv6/armv7

This patch applies the same workaround (leaving out -latomic) already applied to ppc to arm, too.  I was then able to produce a package.

Tested with Poudriere on armv7 FreeBSD 13.
Comment 1 Robert Clausecker 2021-11-06 23:19:25 UTC
maintainer feedback was provided
Comment 2 commit-hook freebsd_committer 2021-11-08 07:39:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=626f982536317e8546eb1e451e3b0f5c0cb1d6b0

commit 626f982536317e8546eb1e451e3b0f5c0cb1d6b0
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-10-26 17:04:19 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-11-08 07:21:57 +0000

    devel/kiwix-lib: Fix build on armv7.

    PR:             259478
    Approved by:    Pavel Minaev (maintainer)

 devel/kiwix-lib/files/patch-meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)